Tez Indexer REST API v1

Developer API & Live Playground

Seamlessly integrate lightning-fast Google indexing into your CMS, custom web apps, or WordPress plugins.

Base URL

All API endpoints are served over secure HTTPS:

https://tezindexer.com/api/v1
Authentication

Pass your API key in the headers of every request:

x-api-key: YOUR_API_KEY
Authorization: Bearer YOUR_API_KEY

Integration Code Snippets

curl -X POST "https://tezindexer.com/api/v1/submit" \
  -H "Content-Type: application/json" \
  -H "x-api-key: YOUR_API_KEY" \
  -d '{
    "urls": [
      "https://example.com/blog/new-article",
      "https://example.com/product/seo-item"
    ]
  }'

Interactive API Playground

Test API requests live in your browser and inspect response payloads.

Response Payload
Click “Send Live Test Request” to view response.